=== debian/changelog ===
ros-eloquent-joy (2.3.2-3bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Oct 2019 18:32:05 -0000

ros-eloquent-joy (1.12.0-3bionic) bionic; urgency=high

  * Update timestamp when using autorepeat_rate
  * Added dev_name parameter to select joystick by name
  * Added Readme for joy package with description of new device name parameter
  * Fixed numerous outstanding PRs.
  * Added sticky buttons
  * Changed package xml to format 2
  * Fixed issue when the joystick data did not got send until changed.
  * Changed messaging to better reflect what the script is doing
  * Contributors: Dino Hüllmann, Jonathan Bohren, Joshua Whitley, Miklos Marton, Naoki Mizuno, jprod123, psimona

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 11 Jun 2018 00:00:00 -0000

ros-eloquent-joy (1.11.0-3bionic) bionic; urgency=high

  * fixed joy/Cmakelists for osx
  * Update dependencies to remove warnings
  * Contributors: Marynel Vazquez, Mark D Horn

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 10 Feb 2017 00:00:00 -0000

ros-eloquent-joy (1.10.1-3bionic) bionic; urgency=high

  * Remove stray architechture_independent flags
  * Contributors: Jonathan Bohren, Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 May 2015 00:00:00 -0000

ros-eloquent-joy (1.10.0-3bionic) bionic; urgency=high

  * First indigo release

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Jun 2014 00:00:00 -0000
