=== debian/control ===
Source: ros-eloquent-joy
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: ROS2 driver for a generic Linux joystick.
 Will contain a MacOS and Windows version later. The joy package contains joy_node, a node that interfaces a generic Linux joystick to ROS2. This node publishes a &quot;Joy&quot; message, which contains the current state of each one of the joystick's buttons and axes.
